Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: Robert Pluim <[email-masked]>
Date: Mon, 21 Feb 2022 12:17:18 +0100

>>>>> On Sun, 20 Feb 2022 20:57:42 +0100, Stephen Berman <[email-masked]> said:

    Stephen> On Sun, 20 Feb 2022 15:07:39 +0100 Lars Ingebrigtsen <[email-masked]> wrote:
    >> Robert Pluim <[email-masked]> writes:
    >> 
    >>> This is under Gnome Shell on Debian 10, which I think uses mutter as a
    >>> window manager:
    >>> 
    >>> ./emacs -Q # The frame is near the top-left, I move it to the right
    >>> bottom quadrant
    >>> (pgtk-backend-display-class) => "GdkWaylandDisplay"
    >>> (frame-position) => (0 . 0)
    >>> 
    >>> GDK_BACKEND=x11 ./emacs -Q
    >>> (pgtk-backend-display-class) => "GdkX11Display"
    >>> (frame-position) => (0 . 0)
    >>> 
    >>> ./emacs -Q # emacs master branch
    >>> (frame-position) => (2136 . 549)
    >> 
    >> (I'm going through old bug reports that unfortunately weren't resolved
    >> at the time.)
    >> 
    >> I tried this on the current master with  --with-pgtk, and
    >> (frame-position) seems to report the correct results for me on
    >> Debian/bookworm under Gnome shell (with X).
    >> 
    >> Are you still seeing this problem on the current trunk?

    Stephen> This sounds like bug#52697, which was fixed on master in 855928082b and
    Stephen> 9966d9574b.

It does, but I think that only fixed part of the issue. With
GDK_BACKEND=x11, I get the right results, but with the Wayland backend
I always get "(26 . 23)" wherever I place the frame(although if I
maximize the frame I get "(0 . 0)"

This might be an effect of the Wayland coordinate system insanity that
they've foisted on the rest of the world.

Robert
--